Subject: Re: linux-next: build warnings in Linus' tree

From: Anatolij Gustschin <[email-masked]>
Date: Thu, 14 Oct 2021 14:24:09 +0200

On Thu, 14 Oct 2021 10:44:46 +0200
Arnd Bergmann [email-masked] wrote:

>On Thu, Oct 14, 2021 at 12:12 AM Anatolij Gustschin <[email-masked]> wrote:
>> On Tue, 12 Oct 2021 16:39:56 +0200
>> Arnd Bergmann [email-masked] wrote:
>> ...  
>> >Grant Likely was the original maintainer for MPC52xx until 2011,
>> >Anatolij Gustschin is still listed as maintainer since then but hasn't
>> >been active in it for a while either. Anatolij can probably best judge
>> >which of these boards are still in going to be used with future kernels,
>> >but I suspect once you start removing bits from 52xx, the newer
>> >but less common 512x platform can go away as well.  
>>
>> many of these boards are still used, i.e. o2d*, digsy_mtc, tqm5200.  
>
>Just for clarification, I assume when you say "still used" that implies
>getting updated to new kernels rather than just running the old BSPs,
>right?

yes, at least some of them. I used v5.4 kernel on digsy_mtc and
tqm5200 last year, and v5.10 kernel is also known to work.

>What are the typical distro release cycles for those machines
>you list: do you move from one LTS kernel to the next each year,
>or are they getting more sporadic over time?

these machines are in embedded systems and do not get regular
distro updates, therefore more sporadic over time.

>Do you expect the machines with the lowest memory such as the
>32MB digsy to stop getting kernel updates before the others?

No. There are also digsy variants with 256MiB DRAM.

Thanks,

Anatolij